// CamUSBDlg.h : header file
//

#if !defined(AFX_CAMUSBDLG_H__6D01AB66_275F_11D5_98BC_00E0988DFFB1__INCLUDED_)
#define AFX_CAMUSBDLG_H__6D01AB66_275F_11D5_98BC_00E0988DFFB1__INCLUDED_

#include "cavicap.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCamUSBDlg dialog

class CCamUSBDlg : public CDialog
{
// Construction
public:
	void InitCom();
	void CloseCom();
	void SendViscoCom( unsigned char *Table , int iNumCom);
	CCamUSBDlg(CWnd* pParent = NULL);	// standard constructor
	AviCap CaptureWindow;
	CString m_sComPort;
// Dialog Data
	//{{AFX_DATA(CCamUSBDlg)
	enum { IDD = IDD_CAMUSB_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCamUSBDlg)
	public:
		virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	unsigned char m_szBuffer[512];
	unsigned char m_szTotal[512];
	HANDLE m_hCom;
	
	BOOL m_bPortReady;
	DCB m_dcb;
	COMMTIMEOUTS m_CommTimeouts;
	DWORD iBytesWritten;
	// Generated message map functions
	//{{AFX_MSG(CCamUSBDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAbout();
	afx_msg void OnControls();
	afx_msg void OnDriverinfo();
	afx_msg void OnEssai();
	afx_msg void OnFilePreview();
	afx_msg void OnFormat();
	afx_msg void OnTest();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHelp();
	afx_msg void OnCustomdrawSlTilt(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDown();
	afx_msg void OnLeft();
	afx_msg void OnRight();
	afx_msg void OnStop();
	afx_msg void OnUp();
	afx_msg void OnDownright();
	afx_msg void OnDownleft();
	afx_msg void OnCustomdrawSlSpeed(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CAMUSBDLG_H__6D01AB66_275F_11D5_98BC_00E0988DFFB1__INCLUDED_)
