// CamUSBDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CamUSB.h"
#include "CamUSBDlg.h"
#include "ProgDlg.h"
#include "info.h"
#include "help.h"
#include "ComSelect.h"


#define CONNECT_CAPTURE	77


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


CAPDRVINFO		this_driver_cdi;
CProgressDlg	externProgressDlg;
VOID CALLBACK avicap_progress(LPSTR , DWORD);
#define	START_PROGRESS(txt)			externProgressDlg.Create(this);\
									externProgressDlg.SetRange(0,100);\
									externProgressDlg.SetPos(0);\
									externProgressDlg.SetStatus(txt);
static POINT CursorMemPos;
static int iFlagLeftButDown = 0;
static int iSpeed = 0;
/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	ON_WM_TIMER()
	ON_WM_LBUTTONUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCamUSBDlg dialog

CCamUSBDlg::CCamUSBDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCamUSBDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCamUSBDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CCamUSBDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCamUSBDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CCamUSBDlg, CDialog)
	//{{AFX_MSG_MAP(CCamUSBDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_COMMAND(ID_ABOUT, OnAbout)
	ON_COMMAND(ID_CONTROLS, OnControls)
	ON_COMMAND(ID_DRIVERINFO, OnDriverinfo)
	ON_COMMAND(ID_ESSAI, OnEssai)
	ON_COMMAND(ID_FILE_PREVIEW, OnFilePreview)
	ON_COMMAND(ID_FORMAT, OnFormat)
	ON_COMMAND(ID_TEST, OnTest)
	ON_WM_TIMER()
	ON_COMMAND(ID_HELP, OnHelp)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_SL_TILT, OnCustomdrawSlTilt)
	ON_BN_CLICKED(IDC_DOWN, OnDown)
	ON_BN_CLICKED(IDC_LEFT, OnLeft)
	ON_BN_CLICKED(IDC_RIGHT, OnRight)
	ON_BN_CLICKED(IDC_STOP, OnStop)
	ON_BN_CLICKED(IDC_UP, OnUp)
	ON_BN_CLICKED(IDC_DOWNRIGHT, OnDownright)
	ON_BN_CLICKED(IDC_DOWNLEFT, OnDownleft)
	ON_WM_CREATE()
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_SL_SPEED, OnCustomdrawSlSpeed)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCamUSBDlg message handlers

BOOL CCamUSBDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	((CSliderCtrl*)this -> GetDlgItem( IDC_SL_SPEED ) ) -> SetRange( 1 ,9 );
	((CSliderCtrl*)this -> GetDlgItem( IDC_SL_SPEED ) ) -> SetPos( 5 );

	InitCom();

	SetTimer( CONNECT_CAPTURE , 200 , NULL );

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CCamUSBDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

//DEL void CCamUSBDlg::OnDestroy()
//DEL {
//DEL 		WinHelp(0L, HELP_QUIT);
//DEL 		if(CaptureWindow.IsReady())
//DEL 		CaptureWindow.Disconnect();
//DEL 		CloseCom();
//DEL }

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CCamUSBDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CCamUSBDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CCamUSBDlg::OnAbout() 
{
	// TODO: Add your command handler code here
	CAboutDlg aDlg;
	aDlg.DoModal();
}


void CCamUSBDlg::OnControls() 
{
	// TODO: Add your command handler code here
				CaptureWindow.VSourceDlg();
	InvalidateRect(NULL);
}

void CCamUSBDlg::OnDriverinfo() 
{
	// TODO: Add your command handler code here


				CaptureWindow.GetDriverInfo(&this_driver_cdi);

	Info	infoDlg(this);
	CString s;
	CStringArray Names, Vers;

  	int	td=	CaptureWindow.GetDriversList(&Names, &Vers);

	s.Format("\r\n\tTotal capture drivers installed:%d\r\n\r\n", td);
		infoDlg.m_InfoBuffer+=s;

	for(int i=0; i<td;i++)	{ s.Format(" %d. %s.%s\r\n",i+1,Names[i],Vers[i]);
		infoDlg.m_InfoBuffer+=s;
	}
	//infoDlg.m_InfoBuffer+=line;
	infoDlg.m_InfoBuffer+="\r\n";
	infoDlg.m_InfoBuffer+="\t\tCurrent Driver info\r\n";
	infoDlg.m_InfoBuffer+="\r\n";

	
	s.Format("Capture driver:\t%s\r\n", CaptureWindow.GetDriverName());
		infoDlg.m_InfoBuffer+=s;
	s.Format("Driver version:\t%s\r\n", CaptureWindow.GetDriverVer());
		infoDlg.m_InfoBuffer+=s;
	s.Format("Buffers  count:\t%d\r\n", this_driver_cdi.dwInternalBufCnt);
		infoDlg.m_InfoBuffer+=s;
	s.Format("Compression:\t%s\r\n", this_driver_cdi.dwCompressed?"Yes":"No");
		infoDlg.m_InfoBuffer+=s;
	s.Format("Video standard:\t%s\r\n", this_driver_cdi.fNTSC?"NTSC":"PAL/SECAM");
		infoDlg.m_InfoBuffer+=s;
	
	s.Format("Bits resolution:\t%d bits\r\n", CaptureWindow.GetCurrentBitsResolution());
		infoDlg.m_InfoBuffer+=s;
		
		infoDlg.m_InfoBuffer+="++Supported bits resolution:\r\n";

		  if(CaptureWindow.IsSupportedBitsResolution(1))
			infoDlg.m_InfoBuffer+="\t\t\t1 bit\r\n";
		  if(CaptureWindow.IsSupportedBitsResolution(4))
			infoDlg.m_InfoBuffer+="\t\t\t4 bits\r\n";
		  if(CaptureWindow.IsSupportedBitsResolution(8))
			infoDlg.m_InfoBuffer+="\t\t\t8 bits\r\n";
		  if(CaptureWindow.IsSupportedBitsResolution(16))
			infoDlg.m_InfoBuffer+="\t\t\t16 bits\r\n";
		  if(CaptureWindow.IsSupportedBitsResolution(24))
			infoDlg.m_InfoBuffer+="\t\t\t24 bits\r\n";
		  if(CaptureWindow.IsSupportedBitsResolution(32))
			infoDlg.m_InfoBuffer+="\t\t\t32 bits\r\n";

	s.Format("Frame size:\t%dx%d pixels\r\n", CaptureWindow.GetFrameSize());
		infoDlg.m_InfoBuffer+=s;
	
	infoDlg.m_InfoBuffer+="++Supported frame sizes:\r\n";
		for(i=0;;i++)
		{
			CSize sz;
			if(!CaptureWindow.EnumValidFrameSize(sz, i)) break;
			s.Format("\t\t\t%dx%d pixels\r\n", sz);
			infoDlg.m_InfoBuffer+=s;
		}

		infoDlg.DoModal();
}

void CCamUSBDlg::OnEssai() 
{
	// TODO: Add your command handler code here
	SetTimer( CONNECT_CAPTURE , 200 , NULL );
}

void CCamUSBDlg::OnFilePreview() 
{
	// TODO: Add your command handler code here
		CaptureWindow.StartPreview(!CaptureWindow.GetPreviewFlag());
}

void CCamUSBDlg::OnFormat() 
{
	// TODO: Add your command handler code here
		CaptureWindow.FormatDlg();
	InvalidateRect(NULL);
}

void CCamUSBDlg::OnTest() 
{
	// TODO: Add your command handler code here
	
}

void CAboutDlg::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	
	CDialog::OnTimer(nIDEvent);
}

void CCamUSBDlg::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	if( nIDEvent == CONNECT_CAPTURE )
	{
	KillTimer(nIDEvent);

	// Rcupration des coordonnes du rectangle de l'emplacement 
	// rserv pour l'image
	CRect rcClient;
	CWnd* pWnd = GetDlgItem( IDC_IMAGE );
	pWnd -> GetWindowRect( &rcClient );     


		START_PROGRESS("Create capture window...");
		CaptureWindow.SetProgressCallback(avicap_progress);
		 if( CaptureWindow.Create(WS_CHILD|WS_VISIBLE|WS_CLIPSIBLINGS, rcClient, pWnd, TRUE))
		 {																		//This
			externProgressDlg.SetWindowText("Testing driver");
			if(CaptureWindow.ConnectWithDriver(ANY_DRIVER))
				{
					CaptureWindow.SetPreviewRate(1);//100
					CaptureWindow.StartPreview(TRUE);
					CaptureWindow.GetDriverInfo(&this_driver_cdi);
				}
		 }
		externProgressDlg.DestroyWindow();
	


	}
	CDialog::OnTimer(nIDEvent);
}

VOID CALLBACK avicap_progress(LPSTR txt, DWORD percent)
{
	if( externProgressDlg.GetSafeHwnd() &&
		::IsWindow(externProgressDlg.GetSafeHwnd()))
	{
		externProgressDlg.SetPos(percent);
		if(txt)
			externProgressDlg.SetStatus(txt);
	}
}





BOOL CCamUSBDlg::Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext) 
{
	// TODO: Add your specialized code here and/or call the base class

	return CDialog::Create(IDD, pParentWnd);
}




BOOL CCamUSBDlg::PreTranslateMessage(MSG* pMsg) 
{
	// TODO: Add your specialized code here and/or call the base class
	 	
 	if( pMsg -> message == WM_KEYDOWN )
 	{
 		//AfxMessageBox( _T( "Key Pressed" ), MB_ICONEXCLAMATION );
 		/*CString strTouche;
 		strTouche.Format( "%d" , pMsg->wParam );
 		AfxMessageBox( strTouche , MB_ICONEXCLAMATION );*/
 		switch( pMsg->wParam )
 		{ 
 			case 38 :
 				// Up Arrow Pressed
 				OnUp();
 				break;
 			case 40:
 				// Down Arrow Pressed
 				OnDown();
 				break;
 			case 37 :
				// Left Arrow Pressed
 				OnLeft();
				break;
			case 39 :
 				// Right Arrow Pressed
 				OnRight();
 				break;
			case 32 :
				// Space Bar Pressed
				OnStop();
				break;
			case 33 :
				// Page Up Pressed
 				break;
 			case 34 :
				// Page Down Pressed
 				break;
			case 83 :
 				// S Button pressed
				break;
			case 88 : 
 				// X Button Pressed
 				break;
		}
 		
 		return TRUE;
 	}
 	else
 	{
 		return CDialog::PreTranslateMessage(pMsg);
 	}
	return CDialog::PreTranslateMessage(pMsg);
}

void CAboutDlg::OnLButtonUp(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	//AfxMessageBox( "coucou" , MB_OK , 0 );
	CDialog::OnLButtonUp(nFlags, point);
}

void CCamUSBDlg::OnHelp() 
{
	// TODO: Add your command handler code here
	CHelp aDlg;
	aDlg.DoModal();
}

void CCamUSBDlg::OnCustomdrawSlTilt(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	int iTiltPos , iPanPos;
	iTiltPos = ((CSliderCtrl*)this -> GetDlgItem( IDC_SL_TILT ) ) -> GetPos();
	iPanPos = ((CSliderCtrl*)this -> GetDlgItem( IDC_SL_PAN ) ) -> GetPos();
	CString strAngle;
	strAngle.Format("Pan Angle : %d  ;  Tilt Angle : %d" , iPanPos / 10 , iTiltPos / 10 );
	((CEdit*)this -> GetDlgItem( IDC_ANGLE ) ) -> SetWindowText( strAngle );
	*pResult = 0;
}

void CCamUSBDlg::OnDown() 
{
	// TODO: Add your control notification handler code here
	unsigned char chTable[] = { 68 , 44 , 45 , 57 , 44 , 45 , 57 , 13 };
	chTable[ 3 ] = (unsigned char) iSpeed + 48;
	chTable[ 6 ] = (unsigned char) iSpeed + 48;
	SendViscoCom( chTable , 8 );
}

void CCamUSBDlg::OnLeft() 
{
	// TODO: Add your control notification handler code here
	unsigned char chTable[] = { 68 , 44 , 45 , 57 , 44 , 57 , 13 };
	chTable[ 3 ] = (unsigned char) iSpeed + 48;
	chTable[ 5 ] = (unsigned char) iSpeed + 48;
	SendViscoCom( chTable , 7 );
}

void CCamUSBDlg::OnRight() 
{
	// TODO: Add your control notification handler code here
	unsigned char chTable[] = { 68 , 44 , 57 , 44 , 45 , 57 , 13 };
	chTable[ 2 ] = (unsigned char) iSpeed + 48;
	chTable[ 5 ] = (unsigned char) iSpeed + 48;
	SendViscoCom( chTable , 7 );
}

void CCamUSBDlg::OnStop() 
{
	// TODO: Add your control notification handler code here
	unsigned char chTable[] = { 68 , 44 , 48 , 44 , 48 , 13 };
	SendViscoCom( chTable , 6 );
}

void CCamUSBDlg::OnUp() 
{
	// TODO: Add your control notification handler code here
	unsigned char chTable[] = { 68 , 44 , 57 , 44 , 57 , 13 };
	chTable[ 2 ] = (unsigned char) iSpeed + 48;
	chTable[ 4 ] = (unsigned char) iSpeed + 48;
	SendViscoCom( chTable , 6 );
}

void CCamUSBDlg::SendViscoCom(unsigned char *Table, int iNumCom)
{
	for( int i = 1 ; i <= iNumCom ; i++ )
	{
		WriteFile( m_hCom, Table , 1 ,  &iBytesWritten, NULL );
		Table++;
	}
}

void CCamUSBDlg::CloseCom()
{
	if ( m_bPortReady )
	{
		CloseHandle( m_hCom );

	}
}

void CCamUSBDlg::InitCom()
{
	CComSelect dlgComSelect;
	dlgComSelect.DoModal();
	//AfxMessageBox( ComPortSelect, MB_ICONEXCLAMATION );
	m_sComPort = ComPortSelect;

	m_szBuffer[ 0 ] = 0x00;
	m_szTotal[ 0 ] = 0x00;

	m_hCom = CreateFile( m_sComPort, GENERIC_WRITE | GENERIC_READ, 
		FILE_SHARE_WRITE, 
		NULL, // no security
		OPEN_EXISTING,
		0, // no overlapped I/O
		NULL );

	m_bPortReady = SetupComm( m_hCom, 128, 128 );
	m_bPortReady = GetCommState( m_hCom, &m_dcb );
	m_dcb.BaudRate = 115200; 
	m_dcb.ByteSize = 8;
	m_dcb.Parity = NOPARITY;
	m_dcb.StopBits = ONESTOPBIT;
	m_dcb.fAbortOnError = TRUE;
	m_bPortReady = SetCommState( m_hCom, &m_dcb );

	m_CommTimeouts.ReadIntervalTimeout = 120; //120
	m_CommTimeouts.ReadTotalTimeoutConstant = 10; //10
	m_CommTimeouts.ReadTotalTimeoutMultiplier = 10; //10
	m_CommTimeouts.WriteTotalTimeoutConstant = 10; //10
	m_CommTimeouts.WriteTotalTimeoutMultiplier = 10; //10
	m_bPortReady = SetCommTimeouts( m_hCom, &m_CommTimeouts );

	if ( !m_bPortReady )
	{
		AfxMessageBox( _T( "Cannot open selected ComPort. You will not be able to control the Robot." ), MB_ICONEXCLAMATION );
	}
	else
	{
		FlushFileBuffers(m_hCom);
	}
}

void CCamUSBDlg::OnDownright() 
{
	// TODO: Add your control notification handler code here
	unsigned char chTable[] = { 129 , 1 , 6 , 1 , 16 , 16 , 2 , 2 , 255 };
	chTable[ 4 ] = (unsigned char) iSpeed;
	chTable[ 5 ] = (unsigned char) iSpeed;
	SendViscoCom( chTable , 9 );
}

void CCamUSBDlg::OnDownleft() 
{
	// TODO: Add your control notification handler code here
	unsigned char chTable[] = { 129 , 1 , 6 , 1 , 16 , 16 , 1 , 2 , 255 };
	chTable[ 4 ] = (unsigned char) iSpeed;
	chTable[ 5 ] = (unsigned char) iSpeed;
	SendViscoCom( chTable , 9 );
}

void CCamUSBDlg::OnCustomdrawSlSpeed(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	iSpeed = ((CSliderCtrl*)this -> GetDlgItem( IDC_SL_SPEED ) ) -> GetPos();
	CString strTemp;
	strTemp.Format( "Speed : %d " , iSpeed );
	((CEdit*)this -> GetDlgItem( IDC_SPEED ) ) -> SetWindowText(strTemp);
	*pResult = 0;
}
